Add Custom Variables on Leads
curl --request POST \
--url https://api.lemlist.com/api/leads/{leadId}/variables \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/leads/{leadId}/variables"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/leads/{leadId}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/leads/{leadId}/variables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/leads/{leadId}/variables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true
}"Variable not found""Lead not found"Leads
Add Custom Variables on Leads
Adds new custom variables to a lead.
POST
/
leads
/
{leadId}
/
variables
Add Custom Variables on Leads
To add custom fields, you can add as many as you want in the body of your request with the desired value for these new fields.
The purpose of this endpoint is first and foremost to create new variables, even though we have to give them specific values on a specific lead. That’s why you’ll get errors if you give variable names that already exist on a lead.By default, lemlist includes several variables related to leads:
email, firstName, lastName, picture, phone, linkedinUrl, companyName, companyDomain, and icebreaker.Beware, you cannot add a new variable with the same name as an existing variable (default or custom).Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the lead
Query Parameters
Example custom variable
Example custom variable
Example custom variable
Response
Success
The response is of type object.
Was this page helpful?